package com.ejie.ad74a.util.constantes;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Tipos de alarmas
 */

public enum TipoAlarmasEnum {

	DISPFUN("1", "alarmas.dispFuncionales"), //
	LLAMADA("2", "alarmas.llamadas"), //
	DISPSEG("3", "alarmas.dispSeguridad");

	private TipoAlarmasEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

	public static TipoAlarmasEnum getById(String id) {
		for (TipoAlarmasEnum e : values()) {
			if (e.id.equals(id))
				return e;
		}
		return null;
	}

	public static boolean exists(String value) {

		for (TipoAlarmasEnum recurso : TipoAlarmasEnum.values()) {
			if (recurso.getId().equals(value)) {
				return true;
			}
		}

		return false;
	}

}
